<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:id="MMR_IdealGear0">
    <refnamediv>
        <refname>MMR_IdealGear0</refname>
        <refpurpose>MMR_IdealGear0 Coselica block</refpurpose>
    </refnamediv>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../../images/gif/MMR_IdealGear0.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
    </refsection>
    <refsection id="Description_MMR_IdealGear0">
        <title>Description</title>
        <para>This block is used to model an ideal gear without inertia. The transmission ratio is the ratio between input angular velocity and output 
        angular velocity, that is the ratio between the diameter of input wheel and the diameter of output wheel.</para>
        <para>Note that the frame is fixed.</para>
    </refsection>
    <refsection id="Palette_MMR_IdealGear0">
        <title>Palette</title>
        <itemizedlist>
            <listitem>
                <para>
                    <link linkend="Mechanics_Rotational_pal">Mechanics_Rotational - Coselica toolbox</link>
                </para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection>
        <title>Block Screenshot</title>
        <!--<para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../../images/gui/MMR_IdealGear0_en_US_gui.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>-->
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">ratio [-] : Transmission ratio (flange_a.phi/flange_b.phi)</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 1</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Defaultproperties_MMR_IdealGear0">
        <title>Block Model / Default properties</title>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">Input :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'flange_a'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Mechanics Rotational type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Output :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'flange_b'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Mechanics Rotational type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Parameter :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'ratio'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 1
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Example_MMR_IdealGear0">
        <title>Example</title>
        <para>
            <link type="scilab" linkend="coselica.xcos/examples/Mechanics/Rotational/MMR_IdealGear0_Example.zcos">
                <inlinemediaobject>
                    <imageobject>
                        <imagedata fileref="../../../../examples/Mechanics/Rotational/MMR_IdealGear0_Example.zcos"/>
                    </imageobject>
                </inlinemediaobject>
            </link>
        </para>
        <!--<para>
            <scilab:image><![CDATA[
                [a, getCoselicaVersionPath] = libraryinfo(whereis(getCoselicaVersion))
                PATH = getCoselicaVersionPath + ".." + filesep() + ".." + filesep();
                importXcosDiagram(PATH + "examples/Mechanics/Rotational/MMR_IdealGear0_Example.zcos");
                xcos_simulate(scs_m, 4);
            ]]></scilab:image>
        </para>-->
    </refsection>
    <refsection id="Seealso_MMR_IdealGear0">
        <title>See also</title>
        <itemizedlist>
            <listitem>
                <para>
                    <link linkend="Mechanics_Rotational_pal">Mechanics_Rotational - Coselica toolbox</link>
                </para>
            </listitem>
            <listitem>
                <para>
                    <link linkend="MMR_IdealGear">MMR_IdealGear - Ideal gear (Block Coselica)</link>
                </para>
            </listitem>
            <listitem>
                <para>
                    <link linkend="MMR_IdealGearR2T0">MMR_IdealGearR2T0 - Rack and pignon system (Block Coselica)</link>
                </para>
            </listitem>
            <listitem>
                <para>
                    <link linkend="MMR_IdealPlanetary">MMR_IdealPlanetary - Ideal planetary (Block Coselica)</link>
                </para>
            </listitem>
        </itemizedlist>
    </refsection>
</refentry>
